unit uDatosBancariosEmpresaController;

interface

uses
  Windows, Forms, Classes, Controls, Contnrs, SysUtils, uDADataTable,
  uBizEmpresas, uBizEmpresasDatosBancarios, uIDataModuleEmpresas,
  uControllerBase;

type
  IDatosBancariosEmpresaController = interface(IControllerBase)
  ['{E9B0313E-7B16-420A-B47E-20E42E96BAC6}']
    procedure Ver(ADatosBancarios : IBizEmpresasDatosBancarios);
  end;

  TDatosBancariosEmpresaController = class(TControllerBase, IDatosBancariosEmpresaController)
  public
    procedure Ver(ADatosBancarios : IBizEmpresasDatosBancarios);
  end;

implementation

{ TDatosBancariosEmpresaController }

uses
  uDataModuleEmpresas, schEmpresasClient_Intf, uIEditorDatosBancarioEmpresa,
  uEditorRegistryUtils, cxControls;

procedure TDatosBancariosEmpresaController.Ver(ADatosBancarios : IBizEmpresasDatosBancarios);
var
  AEditor : IEditorDatosBancariosEmpresa;
begin
  AEditor := NIL;

  CreateEditor('EditorDatosBancariosEmpresa', IEditorDatosBancariosEmpresa, AEditor);
  if Assigned(AEditor) then
    try
      AEditor.DatosBancarios := ADatosBancarios;
      AEditor.Controller := Self;
      AEditor.ShowModal;
    finally
      AEditor.Release;
      AEditor := NIL;
    end;
end;

end.
